
#include "main.h"
#include "multi.h"

#include <time.h>
#include <fstream>

///::title:: No parallelisation
/////Number of zones in each direction (each zone gets own process)
///::consts:: MULTIX=1 MULTIY=1 MULTIZ=1
///::consts:: MULTIM=1

real multi_dt (real dt)
{
  return dt;
}

void multi_bc ()
{
}

void multi_init (int argc, char **argv)
{
  multix = 0;
  multiy = 0;
  multiz = 0;
  
  multi_rank = 0;
  multi_rank_samplers = 0;
  
  multi_main = 1;
  multi_level_root = 1;
  multi_domain_root = 1;
  multi_samplers_root = 1;
  
  level_begin = 0;
  level_end   = L;
}

void multi_level_init () {}

void multi_chaos_scatter_to_samplers    () {}
void multi_chaos_scatter_to_levels      () {}
void multi_chaos_broadcast_to_domain    () {}
void multi_chaos_send_to_previous_level () {}
void multi_chaos_get_from_next_level    () {}

void multi_combine_samples () {}
void multi_combine_levels  () {}

void multi_cleanup () {}

void multi_finalise () {}

double clock_timer;

void start_timer () {
  if (multi_main) clock_timer = clock();
}

void stop_timer () {
  if (multi_main) {
    double runtime;
    runtime = (clock() - clock_timer) / CLOCKS_PER_SEC;
    
    std::ofstream runtimef (RUNTIME_FILE);
    runtimef << "clock_runtime=" << runtime << std::endl;
    runtimef << "nodes=1" << std::endl;
    runtimef.flush();
    
    std::cout << " :: CPU clock time (sec): " << runtime << std::endl;
  }
}
