
#include "equation.h"
#include "hll_util.h"

void hll_speeds(const AllVariables &lV, const AllVariables &rV, int d,
		real &sl, real &sr, real &cs)
{
  sr = max(fabs(rV.XU.u[d]) + sqrt(GRAVITY*rV.U.h), fabs(lV.XU.u[d]) + sqrt(GRAVITY*lV.U.h));
  sl = - sr;
}
