
#ifndef MULTI_H
#define MULTI_H

#include "numtypes.h"

extern int multix, multiy, multiz, multi_main;
extern int multi_domain_root, multi_samplers_root, multi_level_root;
extern int multi_rank, multi_rank_samplers;
extern int MULTI_TOTAL, LOWEST_MPI_LEVEL;
extern int MULTIXl, MULTIYl, MULTIZl;

real multi_dt(real dt);
void multi_bc();
void multi_init(int argc, char **argv);
void multi_level_init();
void multi_chaos_scatter_to_samplers();
void multi_chaos_scatter_to_levels();
void multi_chaos_broadcast_to_domain();
void multi_chaos_send_to_previous_level();
void multi_chaos_get_from_next_level ();
void multi_combine_samples();
void multi_combine_levels();
void multi_cleanup();
void multi_finalise();

#endif
